Name:           whatweb
Version:        0.5.5
Release:        2%{?dist}
Summary:        Web scanner to identify what are the websites running

%bcond_with     tests

%global         gituser         urbanadventurer
%global         gitname         WhatWeb

Group:          Applications/Internet

License:        GPL-2.0-or-later
URL:            http://www.morningstarsecurity.com/research/whatweb
VCS:            https://github.com/urbanadventurer/WhatWeb

Source0:        https://github.com/%{gituser}/%{gitname}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

Buildrequires:  make
Buildrequires:  sed

Requires:       /usr/bin/ruby
Requires:       rubygem-addressable

Requires:       rubygem-bson
Requires:       rubygem-mongo

%if %{with tests}
Requires:       rubygem-minitest
%endif


%description
Identify content management systems (CMS), blogging platforms, stats/analytic
packages, JavaScript libraries, servers and more. When you visit a website in
your browser the transaction includes many unseen hints about how the web-server
is set up and what software is delivering the web-page. Some of these hints are
obvious, ex. “Powered by XYZ” and others are more subtle. WhatWeb recognizes
these hints and reports what it finds.


%prep
%autosetup -p 1 -n %{gitname}-%{version}

echo "" > plugins/IpToCountry.csv

sed -i -e 's|#!/usr/bin/env ruby|#!/usr/bin/ruby|; s|#!/bin/env ruby|#!/usr/bin/ruby|;' \
    whatweb plugin-development/find-common-stuff plugin-development/get-pattern

sed -i -e 's|^\.ni||; s|^\./plugins-disabled|+\./plugins-disabled|' whatweb.1

sed -i -e 's|bundle install|#bundle install|' Makefile

sed -i -e "s|expand_path(__dir__)), '.')|expand_path(__dir__)), '%{_datadir}/%{name}')|" whatweb

%build
echo "Nothing to build."


%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc/%{name}

rm -f %{buildroot}%{_bindir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

rm -rf %{buildroot}%{_datadir}/%{name}/addons
rm -rf %{buildroot}%{_datadir}/%{name}/plugin-development

chmod -x addons/*
chmod -x plugin-development/*

%check
%if %{with tests}
ruby test/integration.rb
%endif


%files
%license LICENSE
%doc CHANGELOG.md README.md whatweb.xsl
%doc addons
%doc plugin-development
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Apr 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.5-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.5-1
- initial build
